Package org.apache.velocity.runtime.parser.node

# Class SetExecutor

java.lang.Object
org.apache.velocity.runtime.parser.node.SetExecutor

Direct Known Subclasses:
  `MapSetExecutor`, `PutExecutor`, `SetPropertyExecutor`, `SetPublicFieldExecutor`

public abstract class SetExecutor extends Object
Abstract class that is used to execute an arbitrary method that is in introspected. This is the superclass for the PutExecutor and SetPropertyExecutor. There really should be a superclass for this and AbstractExecutor (which should be refactored to GetExecutor) because they differ only in the execute() method.

Since:
  1.5
Version:
  $Id$
Author:
  Jason van Zyl, Geir Magnusson Jr., Henning P. Schmiedehausen

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.slf4j.Logger`
`log`
Class logger

## Constructor Summary

Constructors
Constructor
Description
`SetExecutor()`

## Method Summary

Modifier and Type
Method
Description
`abstract Object`
`execute(Object o, Object value)`
Execute method against context.
`Method`
`getMethod()`
`boolean`
`isAlive()`
Tell whether the executor is alive by looking at the value of the method.
`protected void`
`setMethod(Method method)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

protected org.slf4j.Logger log
Class logger

## Constructor Details

### SetExecutor

public SetExecutor()

## Method Details

### execute

public abstract Object execute(Object o, Object value) throws IllegalAccessException, InvocationTargetException
Execute method against context.

Parameters:
  `o` -
  `value` -
Returns:
  The result of the invocation.
Throws:
  `IllegalAccessException`
  `InvocationTargetException`

### isAlive

public boolean isAlive()
Tell whether the executor is alive by looking at the value of the method.

Returns:
  True if the executor is alive.

### getMethod

public Method getMethod()

Returns:
  The method to invoke.

### setMethod

protected void setMethod(Method method)

Parameters:
  `method` -